> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve valuation history

> Retrieve an account's valuation time series for the requested period. Suitable for charting an account's valuation over time.



## OpenAPI

````yaml https://api.engine.usesophic.com/openapi.json get /accounts/{account_id}/valuation-history
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com/
security: []
paths:
  /accounts/{account_id}/valuation-history:
    get:
      summary: Retrieve valuation history
      description: >-
        Retrieve an account's valuation time series for the requested period.
        Suitable for charting an account's valuation over time.
      operationId: >-
        get_account_history_time_series_accounts__account_id__valuation_history_get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the account to retrieve the valuation history for.
            title: Account Id
          description: The ID of the account to retrieve the valuation history for.
        - name: period_start
          in: query
          required: true
          schema:
            type: string
            format: date
            description: >-
              The period start (in [ISO
              8601](https://www.iso.org/iso-8601-date-and-time-format.html) date
              format). Note the period is interpreted as a closed interval with
              both `period_start` and `period_end` included.
            examples:
              - period_start=2025-11-12
            title: Period Start
          description: >-
            The period start (in [ISO
            8601](https://www.iso.org/iso-8601-date-and-time-format.html) date
            format). Note the period is interpreted as a closed interval with
            both `period_start` and `period_end` included.
        - name: period_end
          in: query
          required: false
          schema:
            description: >-
              The period end (in [ISO
              8601](https://www.iso.org/iso-8601-date-and-time-format.html) date
              format). Note the period is interpreted as a closed period is
              interpreted as a closed interval with both `period_start` and
              `period_end` included.
            examples:
              - period_end=2025-11-12
            x-remove-null-from-type-union: true
            title: Period End
            type: string
            format: date
          description: >-
            The period end (in [ISO
            8601](https://www.iso.org/iso-8601-date-and-time-format.html) date
            format). Note the period is interpreted as a closed period is
            interpreted as a closed interval with both `period_start` and
            `period_end` included.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValuationHistory'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - HTTPBearer: []
components:
  schemas:
    ValuationHistory:
      properties:
        resolution:
          $ref: '#/components/schemas/AccountHistoryResolution'
        series:
          items:
            $ref: '#/components/schemas/SeriesPoint'
          type: array
          title: Series
          description: Time series of [ISO-8601 date, decimal] points.
          examples:
            - - - '2025-01-01'
                - '12345.67'
              - - '2025-01-02'
                - '12350.12'
      type: object
      required:
        - resolution
        - series
      title: ValuationHistory
    Error:
      properties:
        detail:
          type: string
          title: Detail
          description: A human-readable description of the error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
        docs:
          title: Docs
          description: A URL to documentation about this error code.
          x-remove-null-from-type-union: true
          type: string
        context:
          title: Context
          description: An optional object for adding extra context to the error.
          x-remove-null-from-type-union: true
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          type: object
        params:
          title: Params
          description: An optional list of params that failed validation.
          x-remove-null-from-type-union: true
          items:
            $ref: '#/components/schemas/InvalidParam'
          type: array
      type: object
      required:
        - detail
        - code
      title: Error
    AccountHistoryResolution:
      type: string
      const: day
      title: AccountHistoryResolution
      description: The point aggregation resolution of the history time series.
      properties: {}
    SeriesPoint:
      prefixItems:
        - type: string
          format: date-time
        - type: string
      type: array
      maxItems: 2
      minItems: 2
      title: SeriesPoint
      properties: {}
    InvalidParam:
      properties:
        path:
          items:
            anyOf:
              - type: integer
              - type: string
          type: array
          title: Path
          description: Path to the field name (or index if a list) that errored.
        detail:
          type: string
          title: Detail
          description: Human-readable detail for error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
      type: object
      required:
        - path
        - detail
        - code
      title: InvalidParam
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````